package javawrapper;

import junit.framework.*;

/**
 * Class grouping all tests together.
 * <p>Copyright: Copyright (c) Charles D. Canham 2003</p>
 * <p>Company: Institute of Ecosystem Studies</p>
 * @author Lora E. Murphy
 * @version 1.0
 */
public class AllTests extends TestCase {

  /**
   * Does all of our tests at once.
   * @return Test Suite of all tests.
   */
  public static Test suite() {
    TestSuite suite = new TestSuite();
    suite.addTestSuite(javawrapper.TestDataMember.class);
    suite.addTestSuite(javawrapper.TestBehaviorTypeBase.class);
    suite.addTestSuite(javawrapper.TestDetailedOutputSettings.class);
    suite.addTestSuite(javawrapper.TestDetailedGridSettings.class);
    suite.addTestSuite(javawrapper.TestSnagDynamicsBehaviors.class);
    suite.addTestSuite(javawrapper.TestHarvestData.class);
    suite.addTestSuite(javawrapper.TestHarvestBehaviors.class);
    suite.addTestSuite(javawrapper.TestCell.class);
    suite.addTestSuite(javawrapper.TestPlantingData.class);
    suite.addTestSuite(javawrapper.TestPlantingBehaviors.class);
    suite.addTestSuite(javawrapper.TestOutputBehaviors.class);
    suite.addTestSuite(javawrapper.TestDetailedOutputGridSetup.class);
    suite.addTestSuite(javawrapper.TestLightBehaviors.class);
    suite.addTestSuite(javawrapper.TestGrowthBehaviors.class);
    suite.addTestSuite(javawrapper.TestMortalityBehaviors.class);
    suite.addTestSuite(javawrapper.TestDisperseBehaviors.class);
    suite.addTestSuite(javawrapper.TestWorkerBase.class);
    suite.addTestSuite(javawrapper.TestParseReader.class);
    suite.addTestSuite(javawrapper.TestGrid.class);
    suite.addTestSuite(javawrapper.TestModelEnum.class);
    suite.addTestSuite(javawrapper.TestStormBehaviors.class);
    suite.addTestSuite(javawrapper.TestEstablishmentBehaviors.class);
    suite.addTestSuite(javawrapper.TestAnalysisBehaviors.class);
    suite.addTestSuite(javawrapper.TestAllometry.class);
    suite.addTestSuite(javawrapper.TestSelectionHarvest.class);
    suite.addTestSuite(javawrapper.TestSubstrateBehaviors.class);
    suite.addTestSuite(javawrapper.TestHarvestInterface.class);
    suite.addTestSuite(javawrapper.TestTreeSetup.class);
    suite.addTestSuite(javawrapper.TestGUIManager.class);
    suite.addTestSuite(javawrapper.TestSeedPredationBehaviors.class);
    suite.addTestSuite(javawrapper.TestOtherDisturbanceBehaviors.class);
    return suite;
  }
}

